Loading...
Searching...
No Matches
Opm::detail::FlexibleSolverInfo< Matrix, Vector, Comm > Struct Template Reference

## Public Types

using | AbstractSolverType = Dune::InverseOperator<Vector, Vector>
using | AbstractOperatorType = Dune::AssembledLinearOperator<Matrix, Vector, Vector>
using | AbstractPreconditionerType = Dune::PreconditionerWithUpdate<Vector, Vector>

## Public Member Functions

void | create (const Matrix &matrix, bool parallel, const PropertyTree &prm, std::size_t pressureIndex, std::function< Vector()> weightCalculator, const bool forceSerial, Comm *comm)

## Public Attributes

std::unique_ptr< AbstractSolverType > | solver_
std::unique_ptr< AbstractOperatorType > | op_
std::unique_ptr< LinearOperatorExtra< Vector, Vector > > | wellOperator_
AbstractPreconditionerType * | pre_ = nullptr
std::size_t | interiorCellNum_ = 0

The documentation for this struct was generated from the following files:

- opm/simulators/linalg/ISTLSolver.hpp
- opm/simulators/linalg/ISTLSolver.cpp